Package org.opensaml.saml.saml2.binding.artifact

# Class SAML2ArtifactType0004Builder

java.lang.Object
org.opensaml.saml.saml2.binding.artifact.SAML2ArtifactType0004Builder

All Implemented Interfaces:
  `SAML2ArtifactBuilder<SAML2ArtifactType0004>`

public class SAML2ArtifactType0004Builder extends Object implements SAML2ArtifactBuilder<SAML2ArtifactType0004>
SAML 2, type 0x0004, artifact builder.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`SAML2ArtifactType0004Builder()`

## Method Summary

Modifier and Type
Method
Description
`SAML2ArtifactType0004`
`buildArtifact(byte[] artifact)`
Builds a populated artifact given the artifact's byte-array representation.
`SAML2ArtifactType0004`
`buildArtifact(MessageContext requestContext)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.
`protected Integer`
`getArsEndpointIndex(MessageContext requestContext)`
Gets the index of the source artifact resolution service.
`protected SAMLArtifactContext`
`getArtifactContext(MessageContext requestContext)`
Get the artifact context.
`protected String`
`getSourceEntityId(MessageContext requestContext)`
Get the local entityId.
`private byte[]`
`intToByteArray(int integer)`
Converts an integer into an unsigned 4-byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### SAML2ArtifactType0004Builder

public SAML2ArtifactType0004Builder()

## Method Details

### buildArtifact

@Nullable public SAML2ArtifactType0004 buildArtifact(@Nonnull @NotEmpty byte[] artifact)
Builds a populated artifact given the artifact's byte-array representation.

Specified by:
  `buildArtifact` in interface `SAML2ArtifactBuilder<SAML2ArtifactType0004>`
Parameters:
  `artifact` - the byte representation of the artifact
Returns:
  populated artifact

### buildArtifact

@Nullable public SAML2ArtifactType0004 buildArtifact(@Nonnull MessageContext requestContext)
Builds an artifact, for the given assertion, destined for the outbound message recipient.

Specified by:
  `buildArtifact` in interface `SAML2ArtifactBuilder<SAML2ArtifactType0004>`
Parameters:
  `requestContext` - request context
Returns:
  constructed artifcate

### getArtifactContext

@Nullable protected SAMLArtifactContext getArtifactContext(@Nonnull MessageContext requestContext)
Get the artifact context.

Parameters:
  `requestContext` - the current message context
Returns:
  the SAML artifact context, or null

### getArsEndpointIndex

@Nullable protected Integer getArsEndpointIndex(@Nonnull MessageContext requestContext)
Gets the index of the source artifact resolution service.

Parameters:
  `requestContext` - current request context
Returns:
  the index of the attribute resolution service

### getSourceEntityId

@Nullable protected String getSourceEntityId(@Nonnull MessageContext requestContext)
Get the local entityId.

Parameters:
  `requestContext` - the message context
Returns:
  the local entityId

### intToByteArray

@Nonnull @NotEmpty private byte[] intToByteArray(int integer)
Converts an integer into an unsigned 4-byte array.

Parameters:
  `integer` - integer to convert
Returns:
  4-byte array representing integer